Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/core_multi_shell.py	(revision e187b252ea4d8d9787ee5c93ffcc4b9939bcee1c)
@@ -105,36 +105,29 @@
 def profile(sld_core, radius, sld_solvent, n, sld, thickness):
     """
-    SLD profile
-    
-    :return: (r, beta) where r is a list of radius of the transition points\
-      and beta is a list of the corresponding SLD values.
-
+    Returns the SLD profile *r* (Ang), and *rho* (1e-6/Ang^2).
     """
-    total_radius = 1.25*(sum(thickness[:n]) + radius + 1)
-
     r = []
-    beta = []
+    rho = []
 
     # add in the core
     r.append(0)
-    beta.append(sld)
+    rho.append(sld_core)
     r.append(radius)
-    beta.append(sld)
+    rho.append(sld_core)
 
     # add in the shells
     for k in range(n):
         # Left side of each shells
-        r0 = r[-1]
-        r.append(r0)
-        beta.append(sld[k])
-        r.append(r0 + thickness[k])
-        beta.append(sld[k])
+        r.append(r[-1])
+        rho.append(sld[k])
+        r.append(r[-1] + thickness[k])
+        rho.append(sld[k])
     # add in the solvent
     r.append(r[-1])
-    beta.append(sld_solvent)
-    r.append(total_radius)
-    beta.append(sld_solvent)
+    rho.append(sld_solvent)
+    r.append(r[-1]*1.25)
+    rho.append(sld_solvent)
 
-    return np.asarray(r), np.asarray(beta)
+    return np.asarray(r), np.asarray(rho)
 
 def ER(radius, n, thickness):
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision d119f34af4e9929175fc6628b476183ede452a76)
+++ sasmodels/models/onion.py	(revision e187b252ea4d8d9787ee5c93ffcc4b9939bcee1c)
@@ -306,5 +306,5 @@
 parameters = [["sld_core", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
                "Core scattering length density"],
-              ["core_radius", "Ang", 200., [0, inf], "volume",
+              ["radius_core", "Ang", 200., [0, inf], "volume",
                "Radius of the core"],
               ["sld_solvent", "1e-6/Ang^2", 6.4, [-inf, inf], "sld",
@@ -325,25 +325,22 @@
 single = False
 
-#def Iq(q, *args, **kw):
-#    return q
-
 profile_axes = ['Radius (A)', 'SLD (1e-6/A^2)']
-def profile(core_sld, core_radius, solvent_sld, n_shells,
-            in_sld, out_sld, thickness, A):
+def profile(sld_core, radius_core, sld_solvent, n_shells,
+            sld_in, sld_out, thickness, A):
     """
     Returns shape profile with x=radius, y=SLD.
     """
 
-    total_radius = 1.25*(sum(thickness[:n_shells]) + core_radius + 1)
+    total_radius = 1.25*(sum(thickness[:n_shells]) + radius_core + 1)
     dr = total_radius/400  # 400 points for a smooth plot
 
     r = []
-    beta = []
+    rho = []
 
     # add in the core
     r.append(0)
-    beta.append(core_sld)
-    r.append(core_radius)
-    beta.append(core_sld)
+    rho.append(sld_core)
+    r.append(radius_core)
+    rho.append(sld_core)
 
     # add in the shells
@@ -352,10 +349,10 @@
         r0 = r[-1]
         r.append(r0)
-        beta.append(in_sld[k])
+        rho.append(sld_in[k])
 
         if fabs(A[k]) < 1.0e-16:
             # flat shell
             r.append(r0 + thickness[k])
-            beta.append(out_sld[k])
+            rho.append(sld_out[k])
         else:
             # exponential shell
@@ -363,17 +360,17 @@
             # to protect against a thickness0.
             num_steps = np.floor(thickness[k]/dr) + 1
-            slope = (out_sld[k] - in_sld[k])/expm1(A[k])
-            const = (in_sld[k] - slope)
+            slope = (sld_out[k] - sld_in[k]) / expm1(A[k])
+            const = (sld_in[k] - slope)
             for rk in np.linspace(0, thickness[k], num_steps+1):
                 r.append(r0+rk)
-                beta.append(slope*exp(A[k]*rk/thickness[k]) + const)
+                rho.append(slope*exp(A[k]*rk/thickness[k]) + const)
 
     # add in the solvent
     r.append(r[-1])
-    beta.append(solvent_sld)
+    rho.append(sld_solvent)
     r.append(total_radius)
-    beta.append(solvent_sld)
-
-    return np.asarray(r), np.asarray(beta)*1e-6
+    rho.append(sld_solvent)
+
+    return np.asarray(r), np.asarray(rho)
 
 def ER(core_radius, n, thickness):
